/**
Theme Name: WIM-WIM
Author: Niels Gandraß
Author URI: http://wpastra.com/about/
Description: Astra child theme for WIM-WIM customizations.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: wim-wim
Template: astra
*/

/* Force fixed primary container margins */
.ast-container .primary {
	margin-top: 40px !important;
	margin-bottom: 40px !important;

  padding-left: 32px !important;
	padding-right: 32px !important;
}

/* Force page container growth */
div.site-content {
	display: flex;
}

div.ast-container {
	flex-grow: 1;
}

div.site-below-header-wrap {
	padding-top: 10px;
	padding-bottom: 10px;
}

/* Fix header bar grid */
.ast-builder-grid-row-container {
	display: grid !important;
}

/* Mobile menu bar hacks */
.ast-header-break-point .header-widget-area[data-section="sidebar-widgets-header-widget-2"] {
 display: block !important;
}

@media(max-width: 544px) {

	.ast-mobile-header-wrap  .ast-builder-grid-row {
	  grid-column-gap: 0px !important;
  }

	.ast-mobile-header-wrap .ast-primary-header-bar {
		justify-content: center;
	}

	.ast-mobile-header-wrap .ast-primary-header-bar .site-logo-img {
		padding-right: 0 !important;
	}

  .ast-mobile-header-wrap .ast-below-header-wrap .site-header-below-section-left {
  	display: none !important;
  }

	.ast-header-break-point .ast-builder-layout-element[data-section="title_tagline"],
	.ast-header-break-point .ast-header-account-wrap {
		display: flex !important;
	}

}

/**************/
/* Learn Dash */
/**************/

/* Font sizs */
.learndash-wrapper .ld-lesson-list .ld-item-lesson-item .ld-item-title {
	font-size: 1.25rem;
}

.learndash-wrapper .ld-lesson-topic-list .ld-item-title {
	font-size: 1.1rem;
}

/* Colors */

.learndash-wrapper .ld-primary-color,
.learndash-wrapper .ld-tabs .ld-tabs-navigation .ld-tab.ld-active,
.learndash-wrapper .ld-item-list .ld-item-list-item a.ld-item-name:hover,
.learndash-wrapper .ld-table-list a.ld-table-list-item-preview:hover {
	color: var(--ast-global-color-0) !important;
}

.learndash-wrapper .ld-button,
.learndash-wrapper .ld-expand-button.ld-button-alternate .ld-icon,
.learndash-wrapper .ld-tabs .ld-tabs-navigation .ld-tab.ld-active:after,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button, .learndash-wrapper .wpProQuiz_content .wpProQuiz_button2, .learndash-wrapper .wpProQuiz_content .wpProQuiz_certificate a.btn-blue,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button_reShowQuestion:hover,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button_reShowQuestion:active,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button_restartQuiz:hover,
.learndash-wrapper .wpProQuiz_content .wpProQuiz_button_restartQuiz:active,
.learndash-wrapper .ld-status-waiting {
	background-color: var(--ast-global-color-0) !important;
}

.learndash-wrapper .btn-primary,
.learndash-wrapper .ld-breadcrumbs .ld-status.ld-status-progress,
.learndash-wrapper .ld-table-list .ld-table-list-header,
.learndash-wrapper .ld-expand-button,
.ld-course-list-items .ld_course_grid .thumbnail.course .ribbon.enrolled,
.ld-course-list-items .ld_course_grid .btn-primary,
.learndash-wrapper .wpProQuiz_content a#quiz_continue_link,
.learndash-wrapper #learndash_mark_complete_button,
.learndash-wrapper .learndash_mark_complete_button,
.learndash-wrapper .course_progress .sending_progress_bar {
	background-color: var(--ast-global-color-5) !important;
}

.learndash-wrapper .ld-status-waiting {
	color: #ffffff;
	font-size: 0.55rem;
}

.ld-course-list-items .ld_course_grid .btn-primary:hover {
	background-color: var(--ast-global-color-1) !important;
}

.ld-course-list-items .ld_course_grid .btn-primary {
	border-color: var(--ast-global-color-1) !important;
}

.ld-course-list-items .ld_course_grid .thumbnail.course .ribbon.enrolled:before {
	border-top-color: var(--ast-global-color-1) !important;
	border-right-color: var(--ast-global-color-1) !important;
}

.learndash-wrapper .ld-secondary-color {
		color: var(--ast-global-color-2) !important;
}

.learndash-wrapper .ld-status-complete,
.learndash-wrapper .ld-progress .ld-progress-bar .ld-progress-bar-percentage {
		background-color: var(--ast-global-color-2) !important;
}

.learndash-wrapper .ld-status-in-progress {
  border-color: var(--ast-global-color-2) #e2e7ed #e2e7ed var(--ast-global-color-2) !important;
}

.learndash-wrapper .learndash-link-previous-incomplete {
	color: #ffffff !important;
}

.learndash-wrapper .ld-alert-warning,
.learndash-wrapper .ld-alert-warning .ld-alert-icon {
	border-color: var(--ast-global-color-0) !important;
	background-color: #ffffff !important;
}

.learndash-wrapper .ld-alert-warning .ld-alert-icon {
	color: var(--ast-global-color-0);
}

.ld-course-list-items .ld_course_grid .thumbnail.course .ribbon {
	background-color: var(--ast-global-color-0) !important;
}

/* Lesson navigation block */
.ast-single-post .entry-content a, .ast-comment-content a:not(.ast-comment-edit-reply-wrap a) {
	text-decoration: none !important;
}

div.ld-lesson-progression div.ld-expand-button span.ld-text {
	display: none;
}

.learndash-wrapper .ld-lesson-navigation .ld-lesson-item .ld-text .ld-sep {
	display: none;
}

/* Remove lesson navigation header and restore item borders */
.learndash-wrapper .ld-lesson-topic-list .ld-table-list-header {
	display: none;
}

.learndash-wrapper .ld-lesson-topic-list .ld-table-list-items {
	border-top: 2px solid #e2e7ed;
}

/* Reduce space between course content and lesson navigation */
.learndash-wrapper .ld-tabs .ld-tab-content {
	padding-bottom: 0 !important;
}

/* Remove progress bars */
.learndash-wrapper div.ld-progress,
.learndash-wrapper .ld-course-status:has(.ld-progress) {
	display: none !important;
}

/* Resume button */
.learndash-resume-button > input {
	border-radius: 8px;
}

/* Remove grade disclaimer */
p.graded-disclaimer {
	display: none !important;
}

/* Course index */
.learndash-wrapper .ld-lesson-list .ld-expand-button {
	display: none !important;
}

.learndash-wrapper .ld-lesson-list .ld-item-components {
	display: none !important;
}

.learndash-wrapper .ld-lesson-list .ld-section-heading {
	display: none !important;
}

/* Fix focus mode navigation icon sizes */
.learndash-wrapper .ld-course-navigation .ld-status-icon .ld-icon-checkmark {
	font-size: .5em !important;
}

/* Quizzes */
.learndash-wrapper .wpProQuiz_button[name="startQuiz"] {
	display: none;
}

.learndash-wrapper .wpProQuiz_results > .wpProQuiz_header,
.learndash-wrapper .wpProQuiz_sending > .wpProQuiz_header {
	display: none !important;
}

.learndash-wrapper .wpProQuiz_content {
	margin-top: 24px;
}

.learndash-wrapper .wpProQuiz_question_text {
	padding: 0 16px;
	margin-bottom: -0.75rem;
}

.learndash-wrapper .wpProQuiz_question_text h3,
.learndash-wrapper .wpProQuiz_question_text h4,
.learndash-wrapper .wpProQuiz_question_text h5,
.learndash-wrapper .wpProQuiz_question_text h6 {
	margin-bottom: 0.5em;
}

/*********************************/
/* Custom background colors      */
/*********************************/
.learndash-wrapper .ld-status-incomplete .ld-status-icon {
	/*background-color: transparent !important;*/
}

.learndash-wrapper .ld-lesson-list .ld-item-list-item-preview:has(.background-color-selector.color-cream),
.learndash-wrapper .ld-lesson-list .ld-item-list-item:has(.background-color-selector.color-cream) .ld-item-list-item-expanded:before {
	background-color: #FFF6DB !important;
}
.entry-categories-inner, .post-meta-single-top {
    display: none;
}
